=== added file 'TODO'
--- TODO	1970-01-01 00:00:00 +0000
+++ TODO	2005-09-13 11:20:11 +0000
@@ -0,0 +1,2 @@
+baz-import should recurse across archives when possible.
+

=== modified file 'fai/cmdutil.py'
--- fai/cmdutil.py	2005-09-13 10:49:57 +0000
+++ fai/cmdutil.py	2005-09-13 11:20:11 +0000
@@ -1136,7 +1136,20 @@
         except pybaz.errors.ExecProblem:
             # baz does not know
             # guess
-            ancestor = namespace_previous(log.revision)
+            if log.revision.patchlevel != 'version-0': 
+                ancestor = namespace_previous(log.revision)
+            else:
+                found = False
+                ancestor = None
+                # ancestor might be in the tree
+                for tree_log in pybaz.WorkingTree(log.tree).iter_logs(
+                    log.revision.version, reverse=True):
+                    if found:
+                        ancestor = tree_log.revision
+                        break
+                    if tree_log.revision == log.revision:
+                        found = True
+                print "ancestor of %s is %s" % (log.revision, ancestor)
         if ancestor is not None:
             indirect.append(ancestor)
     return [log for log in logs if not log.revision in indirect]
@@ -1151,7 +1164,7 @@
         return revision.version['patch-%d' % level]
     if revision.patchlevel == 'version-0':
         raise RuntimeError("cannot determine prior namespace level for a "
-                           "version-0 patch")
+                           "version-0 patch ('%s')" % revision)
     if revision.patchlevel == 'version-1':
         return revision.version['version-0']
     if revision.patchlevel.startswith('version'):

